//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by Entitas.CodeGeneration.Plugins.ComponentEntityApiGenerator.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
public partial class GameEntity {

    public PlacedComponent placed { get { return (PlacedComponent)GetComponent(GameComponentsLookup.Placed); } }
    public bool hasPlaced { get { return HasComponent(GameComponentsLookup.Placed); } }

    public void AddPlaced(int newPlacedEntityId) {
        var index = GameComponentsLookup.Placed;
        var component = CreateComponent<PlacedComponent>(index);
        component.placedEntityId = newPlacedEntityId;
        AddComponent(index, component);
    }

    public void ReplacePlaced(int newPlacedEntityId) {
        var index = GameComponentsLookup.Placed;
        var component = CreateComponent<PlacedComponent>(index);
        component.placedEntityId = newPlacedEntityId;
        ReplaceComponent(index, component);
    }

    public void RemovePlaced() {
        RemoveComponent(GameComponentsLookup.Placed);
    }
}

//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by Entitas.CodeGeneration.Plugins.ComponentMatcherApiGenerator.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
public sealed partial class GameMatcher {

    static Entitas.IMatcher<GameEntity> _matcherPlaced;

    public static Entitas.IMatcher<GameEntity> Placed {
        get {
            if (_matcherPlaced == null) {
                var matcher = (Entitas.Matcher<GameEntity>)Entitas.Matcher<GameEntity>.AllOf(GameComponentsLookup.Placed);
                matcher.componentNames = GameComponentsLookup.componentNames;
                _matcherPlaced = matcher;
            }

            return _matcherPlaced;
        }
    }
}
